namespace CMSMicroservice.Application.TagCQ.Commands.AssignTagToProduct;

public class AssignTagToProductCommandValidator : AbstractValidator<AssignTagToProductCommand>
{
    public AssignTagToProductCommandValidator()
    {
        RuleFor(x => x.ProductId)
            .GreaterThan(0).WithMessage("شناسه محصول نامعتبر است");

        RuleFor(x => x.TagId)
            .GreaterThan(0).WithMessage("شناسه تگ نامعتبر است");
    }
}
